2019-01-16 17:32 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000390NetSurfRISC OS-specificpublic2015-03-10 10:42
Reporterthomasmilius 
Assigned ToSteve Fryatt 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformOSRISC OSOS Version
Product Version3.0 
Target VersionFixed in Version3.1 
Summary0000390: Field for URL Input limited to 256 Bytes
DescriptionSorry but I just found an URL which is longer than 256 Bytes, which Netsurf isn't able to handle.

My Netsurf Version is V3.0 (20th April 2013) RISC OS.

Browse also fails with 256 Bytes, FireFox can cope with this URL.

My E-Mail-adress is

Thomas-Milius@t-online.de
 
Additional InformationImported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3611862 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #1660
Reported in CI build #
URL of problem pagehttp://fundsuche02.kivbf.de/MyApp.asp?wci=FundHeader&Mdt=Metronom-HB-HH-CUX-UE&format=&PLZ=21680&KM=60&KATEGORIE=%7BCC342D5E-1109-4DEA-BD70-75AD56EEC9FB%7D&DATUM=26.03.2013&ANZAHLMERKMALE=3&T1=&C1=&T2=&C2=&T3=&C3=WWFFF%7B1CE65C49-206D-4891-A826-70CCF6E5D7
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000016

Vincent Sanders (administrator)

RISC OS frontend issue only
Steve Fryatt

~0000179

Steve Fryatt (developer)

URL Bar field length increased to 2047 characters, and more sensible handling of over-length addresses introduced. This brings NetSurf into line with common documented limits in some mainstream browsers.
Vincent Sanders

~0000675

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-11 16:58 Vincent Sanders URL of problem page => http://fundsuche02.kivbf.de/MyApp.asp?wci=FundHeader&Mdt=Metronom-HB-HH-CUX-UE&format=&PLZ=21680&KM=60&KATEGORIE=%7BCC342D5E-1109-4DEA-BD70-75AD56EEC9FB%7D&DATUM=26.03.2013&ANZAHLMERKMALE=3&T1=&C1=&T2=&C2=&T3=&C3=WWFFF%7B1CE65C49-206D-4891-A826-70CCF6E5D7
2013-12-11 16:58 Vincent Sanders Note Added: 0000016
2013-12-11 16:58 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-11 16:58 Vincent Sanders Reproducibility have not tried => always
2013-12-11 16:58 Vincent Sanders Category General => RISC OS-specific
2013-12-11 16:58 Vincent Sanders OS => RISC OS
2013-12-11 16:58 Vincent Sanders Product Version => 3.0
2013-12-11 16:58 Vincent Sanders Description Updated View Revisions
2013-12-11 16:58 Vincent Sanders Additional Information Updated View Revisions
2013-12-18 21:20 Vincent Sanders Assigned To => Steve Fryatt
2013-12-18 21:20 Vincent Sanders Resolution no change required => open
2014-01-26 23:11 Steve Fryatt Fixed in CI build # => 1660
2014-01-26 23:11 Steve Fryatt Note Added: 0000179
2014-01-26 23:11 Steve Fryatt Status assigned => resolved
2014-01-26 23:11 Steve Fryatt Fixed in Version => 3.1
2014-01-26 23:11 Steve Fryatt Resolution open => fixed
2015-03-10 10:42 Vincent Sanders Note Added: 0000675
2015-03-10 10:42 Vincent Sanders Status resolved => closed
+Issue History